Bug 1881465 - CVE-2020-25639 kernel: NULL pointer dereference via nouveau ioctl can lead to DoS [fedora-all]
Summary: CVE-2020-25639 kernel: NULL pointer dereference via nouveau ioctl can lead to...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 32
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1881443 (view as bug list)
Depends On:
Blocks: CVE-2020-25639
TreeView+ depends on / blocked
 
Reported: 2020-09-22 13:09 UTC by Alex
Modified: 2021-03-08 20:21 UTC (History)
22 users (show)

Fixed In Version: kernel-5.10.20-100.fc32 kernel-5.10.20-200.fc33
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-03-08 20:14:39 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Alex 2020-09-22 13:09:24 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Reproducers, if any, will remain confidential and never be made public, unless done so by the security team.

Comment 1 Alex 2020-09-22 13:09:48 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=low

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1876995,1881465

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Alex 2020-09-22 13:12:35 UTC
*** Bug 1881443 has been marked as a duplicate of this bug. ***

Comment 3 Fedora Update System 2021-03-04 22:07:06 UTC
FEDORA-2021-a2d3ad5dda has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-a2d3ad5dda

Comment 4 Fedora Update System 2021-03-04 22:07:09 UTC
FEDORA-2021-1db4ab0a3d has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2021-1db4ab0a3d

Comment 5 Fedora Update System 2021-03-05 18:56:46 UTC
FEDORA-2021-a2d3ad5dda has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-a2d3ad5dda`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-a2d3ad5dda

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2021-03-05 20:03:02 UTC
FEDORA-2021-1db4ab0a3d has been pushed to the Fedora 32 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-1db4ab0a3d`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-1db4ab0a3d

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2021-03-08 20:14:39 UTC
FEDORA-2021-1db4ab0a3d has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 8 Fedora Update System 2021-03-08 20:21:12 UTC
FEDORA-2021-a2d3ad5dda has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.